VERSION 5.00
Object = "{74B6BEA7-31E5-46E4-BDB0-E7C02CF51561}#1.0#0"; "SMX150AX.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1710
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   1620
   LinkTopic       =   "Form1"
   ScaleHeight     =   114
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   108
   StartUpPosition =   3  'Windows Default
   Begin SMX150AX.SMX150ActiveX SMX150 
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   240
      Visible         =   0   'False
      Width           =   855
      Object.Visible         =   -1  'True
      AutoScroll      =   0   'False
      AutoSize        =   0   'False
      AxBorderStyle   =   1
      Caption         =   "SMX150ActiveX"
      Color           =   -2147483633
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      KeyPreview      =   0   'False
      PixelsPerInch   =   96
      PrintScale      =   1
      Scaled          =   -1  'True
      DropTarget      =   0   'False
      HelpFile        =   ""
      DoubleBuffered  =   0   'False
      Enabled         =   -1  'True
      Cursor          =   0
      HelpType        =   0
      HelpKeyword     =   ""
      DeviceID        =   0
      FrameStartX     =   0
      FrameStartY     =   0
      FrameWidth      =   0
      FrameHeight     =   0
      FrameDecimation =   0
      FrameMirrorV    =   0   'False
      FrameMirrorH    =   0   'False
      Frequency       =   1
      Exposure        =   617
      ExposureMs      =   36,694
      Started         =   0
      DACrawOffset    =   64
      DACfineOffset   =   48
      SnapshotExposure=   298
      SnapshotExpMs   =   0,393
      ShowVideo       =   0
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Grab Snapshot"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   1200
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim RawFrame(1433600) As Byte ' 1400*1024

Private Sub Command1_Click()
    Dim Width As Long, Height As Long
    Dim lpPtr As Long
    Dim i As Integer
    Dim retSize As Long
    
    If SMX150.Connected Then
        
        Label1.Caption = "Camera Connected!"
        Label1.Refresh
        
        SMX150.GetFrameParams
        SMX150.FrameStartX = 0
        SMX150.FrameStartY = 0
        SMX150.FrameWidth = 1280
        SMX150.FrameHeight = 1024
        SMX150.SetFrameParams
        
        SMX150.Started = 0 ' stop camera
        
        'SMX150.GetFrameParams
        Width = SMX150.FrameWidth
        Height = SMX150.FrameHeight
        
        SMX150.Frequency = 4
        SMX150.SetGain 10, 0, 0, 0
        SMX150.SnapshotExpMs = 3.3
        
        lpPtr = VarPtr(RawFrame(0))
        If SMX150.GetSnapshot(10, False, False, False, lpPtr, 1433600, retSize) Then
            Label1.Caption = "get snapshot Ok!, Exp=" + Str(SMX150.SnapshotExpMs)
            Label1.Refresh
            Call SaveAsMonoBitmap("snapshot.bmp", lpPtr, Width, Height)
        Else
            Label1.Caption = " get snapshot Fail!"
            Label1.Refresh
        End If
    Else
        Debug.Print "Camera NOT connected!"
        MsgBox "Camera NOT connected!"
    End If
            
End Sub
